Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724138 - <net-firewall/ebtables-2.0.11-r2: cleanup for EAPI 4 removal (was: net-firewall/ebtables-2.0.11-r2 stabilisation)
Summary: <net-firewall/ebtables-2.0.11-r2: cleanup for EAPI 4 removal (was: net-firewa...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-05-19 20:44 UTC by Andreas Sturmlechner
Modified: 2020-07-21 07:10 UTC (History)
1 user (show)

See Also:
Package list:
net-firewall/ebtables-2.0.11-r2 app-eselect/eselect-iptables-20200508 net-misc/ethertypes-0
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-05-19 20:44:21 UTC
How about that?
Comment 1 NATTkA bot gentoo-dev 2020-05-19 20:48:37 UTC
Sanity check failed:

> net-firewall/ebtables-2.0.11-r1
>   bdepend amd64 stable profile default/linux/amd64/17.0 (49 total)
>     >=app-eselect/eselect-iptables-20200508
>   bdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=app-eselect/eselect-iptables-20200508
>   rdepend amd64 stable profile default/linux/amd64/17.0 (49 total)
>     >=app-eselect/eselect-iptables-20200508
>     net-misc/ethertypes
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=app-eselect/eselect-iptables-20200508
>     net-misc/ethertypes
Comment 2 NATTkA bot gentoo-dev 2020-05-19 20:52:37 UTC
All sanity-check issues have been resolved
Comment 3 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2020-05-21 20:06:08 UTC
2020-05-21 19:51:34.653 4310 ERROR neutron.agent.linux.utils [req-0c0e5820-64b2-48fb-a1b9-dd6a7d4a091f - - - - -] Exit code: 255; Stdin: ; Stdout: ; Stderr: Problem with the specified Ethernet protocol 'ARP', perhaps /usr/share/doc/ebtables-2.0.11-r1/ethertypes is missing.

it's installed compressed as bz2, when it should be installed plain text

bzcat /usr/share/doc/ebtables-2.0.11-r1/ethertypes.bz2 > /usr/share/doc/ebtables-2.0.11-r1/ethertypes

fixed the issue for me
Comment 4 Andreas Sturmlechner gentoo-dev 2020-06-18 09:48:43 UTC
Please fix the ebuild instead.
Comment 5 Larry the Git Cow gentoo-dev 2020-06-19 06:51:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=154631a73c9a5113baf279dfbd44b9058a15eb7b

commit 154631a73c9a5113baf279dfbd44b9058a15eb7b
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2020-06-19 06:46:53 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2020-06-19 06:51:00 +0000

    net-firewall/ebtables: Don't compress the "ethertypes" file
    
    Bug: https://bugs.gentoo.org/724138
    Package-Manager: Portage-2.3.101, Repoman-2.3.22
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 .../ebtables/{ebtables-2.0.11-r1.ebuild => ebtables-2.0.11-r2.ebuild}    | 1 +
 1 file changed, 1 insertion(+)
Comment 6 Agostino Sarubbo gentoo-dev 2020-07-17 15:21:23 UTC
ppc stable
Comment 7 Sam James archtester gentoo-dev Security 2020-07-18 17:06:23 UTC
x86 stable
Comment 8 Sam James archtester gentoo-dev Security 2020-07-19 23:32:12 UTC
amd64 stable. Please cleanup.
Comment 9 Larry the Git Cow gentoo-dev 2020-07-21 07:10:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d3fe2586db6eaa2566b4ebb94cd4b5e340dfff9

commit 1d3fe2586db6eaa2566b4ebb94cd4b5e340dfff9
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-07-20 20:55:19 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-07-21 07:09:06 +0000

    net-firewall/ebtables: Drop 2.0.10.4 and 2.0.10.4-r2
    
    Closes: https://bugs.gentoo.org/724138
    Package-Manager: Portage-3.0.0, Repoman-2.3.23
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 net-firewall/ebtables/Manifest                     |  1 -
 net-firewall/ebtables/ebtables-2.0.10.4-r2.ebuild  | 72 ----------------------
 net-firewall/ebtables/ebtables-2.0.10.4.ebuild     | 68 --------------------
 .../ebtables/files/ebtables-2.0.8.1-ebt-save.diff  | 31 ----------
 4 files changed, 172 deletions(-)